package de.forck.midi;

import java.awt.event.*;

public class MyKeyListener implements KeyListener{

	@Override
	public void keyTyped(KeyEvent e) {
	}

	@Override
	public void keyPressed(KeyEvent e) {
		int noteNumber = 60;
		switch(e.getKeyCode()) {
			case KeyEvent.VK_C:
				noteNumber = 60;
				break;
			case KeyEvent.VK_D:
				noteNumber = 62;
				break;
			case KeyEvent.VK_E:
				noteNumber = 64;
				break;
			case KeyEvent.VK_F:
				noteNumber = 65;
				break;
			case KeyEvent.VK_G:
				noteNumber = 67;
				break;
			case KeyEvent.VK_A:
				noteNumber = 69;
				break;
			case KeyEvent.VK_B:
				noteNumber = 71;
				break;
		}
		AppStart.getMidiOutput().sendMidiMessage(0b10010000, noteNumber, 65);
	}

	@Override
	public void keyReleased(KeyEvent e) {
		int noteNumber = 60;
		switch(e.getKeyCode()) {
		case KeyEvent.VK_C:
			noteNumber = 60;
			break;
		case KeyEvent.VK_D:
			noteNumber = 62;
			break;
		case KeyEvent.VK_E:
			noteNumber = 64;
			break;
		case KeyEvent.VK_F:
			noteNumber = 65;
			break;
		case KeyEvent.VK_G:
			noteNumber = 67;
			break;
		case KeyEvent.VK_A:
			noteNumber = 69;
			break;
		case KeyEvent.VK_B:
			noteNumber = 71;
			break;
		}
		AppStart.getMidiOutput().sendMidiMessage(0b10000000, noteNumber, 65);
	}
}
